/*
 *  stat.c
 *			Additions to Pure-C for UN*X compatibility
 *
 *  11/19/99  Bodo Wenzel  "mkdir()"
 */

#include <errno.h>
#include <ext.h>
#include <tos.h>

#include "stat.h"

int mkdir(const char *_path,mode_t __mode) {
/*----------------------------------------*/
struct ffblk  dummy;

(void)__mode;

if (findfirst(_path,&dummy,FA_DIREC)==0) {
  errno=EEXIST;
  return -1;
  }

if (Dcreate(_path)!=0) {
  errno=ENOSPC;
  return -1;
  }

return 0;
}
