#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "dirent.c"

int main(int argc,char *argv[]) {
  int i, ofile_total, ofile_len;
  DIR * dir;
  struct dirent * dirent;
  char ** orig_files = 0;

  if (argc<2)
    return 1; 
     
  ofile_total = 0;
  ofile_len = 0;
  
    dir = opendir(argv[1]);
printf("open=%p\n",dir);
    while( (dirent = readdir(dir)) != NULL ) {
      char name[256];
printf("read=%p(\"%s\")\n",dirent,dirent->d_name);
      if (dirent->d_name[0] == '.')
         continue;
         
      if (!orig_files) {
        ofile_len += 256;
      	orig_files = malloc(sizeof(char*) * ofile_len);
      } else if (ofile_total >= ofile_len) {
        ofile_len += 256;
      	orig_files = realloc(orig_files, sizeof(char*) * ofile_len);
      }

      sprintf(name, "%s\\%s", argv[1], dirent->d_name);
      orig_files[ofile_total++] = strdup(name);
    }
    closedir(dir);

  for (i=0; i<ofile_total; i++)
    printf("%2d \"%s\"\n",i,orig_files[i]);
return 0;
}
